On 2018/02/23 05:36, Adam Steen wrote:
> Hi All
> 
> I am attempting to port pkgconf[1] to OpenBSD, everything builds fine.
> 
> When I try to make install, I get the following error.  What is the best way
> to handle this?
> 
> asteen:/usr/ports/devel/pkgconf:2250$ make install
> ===>  Installing pkgconf-1.4.2 from /usr/ports/packages/amd64/all/
> doas (ast...@x220.adamsteen.com.au) password:
> Collision in pkgconf-1.4.2: the following files already exist
>         /usr/local/share/aclocal/pkg.m4 (metaauto-1.0p1 and pkgconf-1.4.2)
> *** Error 1 in . (/usr/ports/infrastructure/mk/bsd.port.mk:1960
> '/var/db/pkg/pkgconf-1.4.2/+CONTENTS': @if /usr/sbin/pkg_info -e 
> pkgconf-1.4...)
> *** Error 1 in /usr/ports/devel/pkgconf
> (/usr/ports/infrastructure/mk/bsd.port.mk:2419 'install')
> 
> Cheers
> Adam
> 
> [1] https://github.com/pkgconf/pkgconf

Just @comment the pkg.m4 file. The one in pkgconf is newer than the file
coming from the metaauto package but it's the same basic thing. If it
turns out that a newer version is needed then updating metaauto to use
files from a newer pkg-config would make sense.

Reply via email to